VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Plugin"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'***********************************************************************************************
'* Copyright (C) 2009 Dennis Hermanns
'*
'*    This program is free software: you can redistribute it and/or modify
'*    it under the terms of the GNU General Public License as published by
'*    the Free Software Foundation, either version 3 of the License, or
'*    (at your option) any later version.
'*
'*    This program is distributed in the hope that it will be useful,
'*    but WITHOUT ANY WARRANTY; without even the implied warranty of
'*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'*    GNU General Public License for more details.
'*
'*    You should have received a copy of the GNU General Public License
'*    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'***********************************************************************************************

Option Explicit

Implements IDMXCPlugin
Implements IDMXCModule

Private DS As New clsDS

Private Property Get IDMXCPlugin_PluginName() As String
    IDMXCPlugin_PluginName = "External Action"
End Property

Private Function IDMXCPlugin_Init(CallingAppTitle As String, MyFilename As String, DMXCPluginHelper As DMXCTypeLib.IPluginHelper) As Boolean
    Set mHelper = DMXCPluginHelper
    IDMXCPlugin_Init = True
End Function

Private Function IDMXCPlugin_Enable() As Boolean

End Function

Private Function IDMXCPlugin_Disable() As Boolean

End Function

Private Function IDMXCPlugin_Term() As Boolean
    Set mHelper = Nothing
    IDMXCPlugin_Term = True
End Function

Private Function IDMXCPlugin_Configure() As Boolean
    IDMXCPlugin_Configure = False
End Function

Private Function IDMXCPlugin_MessageHandle(Msg As DMXCTypeLib.MSGs, Arg1 As Long, Arg2 As Long) As Long

End Function

Private Property Get IDMXCModule_ModuleInfo() As DMXCTypeLib.Type_Module_Info
    Set IDMXCModule_ModuleInfo = New Type_Module_Info
    With IDMXCModule_ModuleInfo
        .Name = "External Action"
        .Description = "DMXControl can execute Programs"
        .Guid = "{BE164B32-CD22-4994-BBF4-6E749DEF013A  }"
        .Author = "Dennis Hermanns"
        .Experimental = False
  
        .ProvidesToolWindow = True
        .FormName = "frmPluginMain"
        Set .Frm = frmPluginMain
        .Category = CAT_Control
  
        .ProvidesCommand = True
        Set .CommandModule = frmPluginMain
    End With
End Property

